=== debian/changelog ===
libconfig (0.1.5) unstable; urgency=low

  * Changed sections.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 20:40:05 +0200

libconfig (0.1.4) unstable; urgency=low

  * Changed libconfig0-dev section.
  * Updated package dependencies.

 -- Abraham vd Merwe <abz@debian.org>  Tue,  7 Oct 2003 18:36:30 +0200

libconfig (0.1.3) unstable; urgency=low

  * Ported to library to FreeBSD.
  * Changed copyright notices to reflect my new preferred email address.
  * Updated feature wishlist.
  * Added a more descriptive description in control file (Closes: #151535)

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Jul 2002 17:44:02 +0200

libconfig (0.1.2) unstable; urgency=low

  * Removed sync flag from log_open() in test programs.
  * Now only print debugging stuff if compiled with -DDEBUG.

 -- Abraham vd Merwe <abz@debian.org>  Thu, 11 Apr 2002 22:28:52 +0200

libconfig (0.1.1) unstable; urgency=low

  * Initial Release.

 -- Abraham vd Merwe <abz@debian.org>  Sat,  6 Apr 2002 18:16:29 +0200

Local variables:
mode: debian-changelog
End:
