## libconfig 1.3.2

=== debian/changelog ===
libconfig (1.3.2-2ubuntu2) oneiric; urgency=low

  * Mark a symbol as optional to build with GCC 4.6. LP: #765925.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 May 2011 13:02:01 +0200

libconfig (1.3.2-2ubuntu1) natty; urgency=low

  * Add symbol files for libconfig8 and libconfig++8, required for
    entering main, submitted to Debian

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 18 Mar 2011 11:36:42 +1100

libconfig (1.3.2-2) unstable; urgency=low

  * Removed "conflicts" with older sonames (Closes: #536635)
  * Added missing compile-time libconfig++8-dev dependencies 
    (libconfig8-dev) (Closes: #537311)

  * Removed libtool's ".la" files (clients should use pkg-config)

  * Updated to S-V 3.8.3 with no changes

  * With many thanks to Christian Hammers, who kindly checked the package.

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 13 Sep 2009 04:25:14 +0200

libconfig (1.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #521725)
    - soname bump to 8
    - Updated to S-V 3.8.1 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 07 Apr 2009 21:13:16 +0200

libconfig (1.3.1-1) unstable; urgency=low

  * First upload to Debian (Closes: #438683)

  * New upstream release
    - soname bump to 6.1

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri, 31 Oct 2008 22:13:47 +0100

libconfig (1.3-1) unstable; urgency=low

  * New upstream release

  * Packaging
    - Updated to S-V 3.8.0 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon, 20 Jul 2008 19:55:23 +0200

libconfig (1.1-1) unstable; urgency=low

  * New upstream release

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Mon,  2 Jul 2007 02:01:40 +0200

libconfig (0.9-1) unstable; urgency=low

  * Initial packaging

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Tue, 10 Oct 2006 01:42:09 +0200
