=== debian/control ===
Source: libconfig
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
Build-Depends: debhelper (>= 5), autotools-dev, texinfo, texlive, ghostscript, quilt
Standards-Version: 3.8.3
Homepage: http://www.hyperrealm.com/libconfig/
Section: libs

Package: libconfig8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing and manipulation of structured configuration files
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.

Package: libconfig++8
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing and manipulation of structured configuration files(C++ binding)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.
 .
 This is the C++ binding.

Package: libconfig8-dev
Section: libdevel
Architecture: any
Provides: libconfig-dev
Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
Conflicts: libconfig6-dev
Description: parsing and manipulation of structured config files(development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own programs.

Package: libconfig++8-dev
Section: libdevel
Architecture: any
Provides: libconfig++-dev
Depends: libconfig++8 (= ${binary:Version}), libconfig-dev,
 pkg-config (>= 0.20), ${misc:Depends}
Conflicts: libconfig++6-dev
Description: parsing and manipulation of structured config files(C++ development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own C++ programs.
