## libconfig 1.3.2-2ubuntu2+6.0trisquel1

=== debian/changelog ===
libconfig (1.3.2-2ubuntu2+6.0trisquel1) toutatis; urgency=low

  * Backported into Toutatis

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Dec 2013 19:39:33 +0100
