=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: libconfig
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
 Build-Depends: debhelper (>= 5), autotools-dev, texinfo, texlive, ghostscript, quilt
 Standards-Version: 3.8.3
