## libconfig 1.3.2-3maemo1

=== debian/changelog ===
libconfig (1.3.2-3maemo1) unstable; urgency=low

  * For Fremantle.

 --  Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 20 Aug 2012 22:25:01 +0200
