=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libconfig
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Build-Depends: debhelper (>= 5), autotools-dev, texinfo, texlive, ghostscript, quilt
+Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: debhelper (>= 5), autotools-dev, texinfo,  quilt
 Standards-Version: 3.8.3
 Homepage: http://www.hyperrealm.com/libconfig/
 Section: libs
