## libconfig 1.3.2-3maemo2

=== debian/changelog ===
libconfig (1.3.2-3maemo2) unstable; urgency=low

  * Drop dpkg (>= 1.15.4) on libconfig8-dev

 --  Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 21 Aug 2012 11:08:01 +0200
