=== debian/control ===
--- 
+++ 
@@ -38,7 +38,7 @@
 Section: libdevel
 Architecture: any
 Provides: libconfig-dev
-Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
+Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20)
 Conflicts: libconfig6-dev
 Description: parsing and manipulation of structured config files(development)
  This library features a fully reentrant parser and includes bindings for
