## libconfig 1.4.8

=== debian/changelog ===
libconfig (1.4.8-5) unstable; urgency=low

  * Switch to dh_9 style rules file
    - Hardened buildflags now provided automatically
    - Fixes E-binary-arch-produces-all buildd warning

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Tue, 26 Jun 2012 21:41:22 +0100

libconfig (1.4.8-4) unstable; urgency=low

  * Add C++ hardened buildflags
    - Thanks to Simon Ruderich for the patch (closes: #662225)
  * Fix libconfig(++)8-dev transition packages
    - Set section as oldlibs
    - Set priority as extra
    - Remove package descriptions
  * Add Multiarch support 

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Fri, 06 Apr 2012 14:28:39 +0100

libconfig (1.4.8-3) unstable; urgency=low

  * Add Replaces+Breaks: libconfig(++)8-dev to libconfig(++)-dev
     - Thanks to Andreas Beckmann for reporting (closes: #662643)
  * Enable hardened buildflags
     - Thanks to Simon Ruderich for the patch (closes: #662225)
  * Fix incorrect section and arch for transitional packages.

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Mon, 05 Mar 2012 22:01:29 +0000

libconfig (1.4.8-2) unstable; urgency=low

  * Upload to unstable
  * Update to S-V 3.9.3
  * debian/rules now uses dpkg-buildflags
  * Provide full transitional packages to help -dev package rename
  * Multiple lintian fixes
    - out-of-date-standards-version
    - copyright-with-old-dh-make-debian-copyright
    - extended-description-is-probably-too-short
    - unneeded-build-dep-on-quilt

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Thu, 01 Mar 2012 02:11:47 +0000

libconfig (1.4.8-1~exp1) experimental; urgency=low

  * New upstream release (closes: #583528)
    - soname bump to 9
  * Update to S-V 3.9.2
  * Update to Debhelper v7
  * Refresh Build-Depends packages
  * Add debug packages
  * Remove soname from -dev package names
    - Build as virtual packages for reverse dependency purposes.
  * Fix examples (closes: #632081)

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 11 Feb 2012 18:13:26 +0000
