=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: libconfig
 Priority: optional
-Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
-Build-Depends: debhelper (>= 5), autotools-dev, texinfo,  quilt
-Standards-Version: 3.8.3
+Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
+Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>
+Build-Depends: debhelper (>= 9), autotools-dev, texinfo, texlive-latex-base
+Standards-Version: 3.9.3
 Homepage: http://www.hyperrealm.com/libconfig/
 Section: libs
 
-Package: libconfig8
-Section: libs
+Package: libconfig9
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: parsing and manipulation of structured configuration files
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -19,10 +21,11 @@
  This library allows parsing, manipulating and writing structured configuration
  files.
 
-Package: libconfig++8
-Section: libs
+Package: libconfig++9
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: same
 Description: parsing and manipulation of structured configuration files(C++ binding)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -34,12 +37,14 @@
  .
  This is the C++ binding.
 
-Package: libconfig8-dev
+Package: libconfig-dev
 Section: libdevel
 Architecture: any
-Provides: libconfig-dev
-Depends: libconfig8 (= ${binary:Version}), pkg-config (>= 0.20)
-Conflicts: libconfig6-dev
+Replaces: libconfig8-dev (<< 1.4.8)
+Breaks: libconfig8-dev (<< 1.4.8)
+Depends: libconfig9 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
+Recommends: libconfig-doc
+Multi-Arch: same
 Description: parsing and manipulation of structured config files(development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -58,13 +63,23 @@
  This package contains the files needed in order to use libconfig
  in your own programs.
 
-Package: libconfig++8-dev
+Package: libconfig8-dev
+Depends: libconfig-dev, ${misc:Depends}
+Architecture: any
+Section: oldlibs
+Priority: extra
+Description: Transitional package for libconfig-dev
+ This is a transitional package for libconfig-dev, and can be safely removed
+ when no other package depends on it.
+
+Package: libconfig++-dev
 Section: libdevel
 Architecture: any
-Provides: libconfig++-dev
-Depends: libconfig++8 (= ${binary:Version}), libconfig-dev,
+Replaces: libconfig++8-dev (<< 1.4.8)
+Breaks: libconfig++8-dev (<< 1.4.8)
+Depends: libconfig++9 (= ${binary:Version}), libconfig-dev,
  pkg-config (>= 0.20), ${misc:Depends}
-Conflicts: libconfig++6-dev
+Multi-Arch: same
 Description: parsing and manipulation of structured config files(C++ development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
@@ -82,3 +97,64 @@
  .
  This package contains the files needed in order to use libconfig
  in your own C++ programs.
+
+Package: libconfig++8-dev
+Depends: libconfig++-dev, ${misc:Depends}
+Architecture: any
+Section: oldlibs
+Priority: extra
+Description: Transitional package for libconfig++-dev
+ This is a transitional package for libconfig++-dev, and can be safely removed
+ when no other package depends on it.
+
+
+Package: libconfig-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libconfig9 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: parsing and manipulation of structured config files(debug symbols)
+ This library features a fully reentrant parser and includes bindings for
+ both the C and C++ programming languages. It runs on modern POSIX-compliant
+ systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
+ Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
+ .
+ This library allows parsing, manipulating and writing structured configuration
+ files.
+ .
+ This package provides debugging information for the libconfig library.
+
+Package: libconfig++-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libconfig++9 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
+Description: parsing and manipulation of structured config files(C++ debug symbols)
+ This library features a fully reentrant parser and includes bindings for
+ both the C and C++ programming languages. It runs on modern POSIX-compliant
+ systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
+ Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
+ .
+ This library allows parsing, manipulating and writing structured configuration
+ files.
+ .
+ This package provides debugging information for the libconfig++ library.
+
+Package: libconfig-doc
+Section: doc
+Architecture: all
+Replaces: libconfig-dev (<= 1.4.8)
+Breaks: libconfig-dev (<= 1.4.8)
+Depends: ${misc:Depends}
+Description: parsing and manipulation of structured config files(Documentation)
+ This library features a fully reentrant parser and includes bindings for
+ both the C and C++ programming languages. It runs on modern POSIX-compliant
+ systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
+ Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
+ .
+ This library allows parsing, manipulating and writing structured configuration
+ files.
+ .
+ This package provides documentation for the libconfig library.
