=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# # export DH_VERBOSE=1

override_dh_auto_build:
	$(MAKE) -C doc pdf
	dh_auto_build

override_dh_strip:
	dh_strip -p libconfig9 --dbg-package=libconfig-dbg
	dh_strip -p libconfig++9 --dbg-package=libconfig++-dbg
	
%:
	dh $@ --with autotools-dev
