## libconfig 1.4.9

=== debian/changelog ===
libconfig (1.4.9-2) unstable; urgency=medium

  * Update short package description (Closes: #710783)
  * Build using dh-autoreconf rather than autotools-dev; thanks to Matthias
    Klose for this fix
  * Add tex-workaround.patch from Matthias Klose to fix texinfo/tex FTBFS
  * With sponsor's blessing, set myself as maintainer
  * Bump Standards-Version to 3.9.5
    - No changes required

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 28 Dec 2013 17:41:20 +0000

libconfig (1.4.9-1) unstable; urgency=low

  * New upstream release
  * Update S-V to 3.9.4
    - No changes necessary
  * Ensure that libconfig++-dbg depends on libconfig9 (= ${binary:Version})
    in addition to libconfig++9 (= ${binary:Version})
    - Fixes dbg-package-missing-depends lintian warning

 -- Jonathan McCrohan <jmccrohan@gmail.com>  Sat, 12 Oct 2013 16:41:14 +0100
