=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libconfig
 Priority: optional
-Maintainer: Jose Luis Tallon <jltallon@adv-solutions.net>
-Uploaders: Jonathan McCrohan <jmccrohan@gmail.com>
-Build-Depends: debhelper (>= 9), autotools-dev, texinfo, texlive-latex-base
-Standards-Version: 3.9.3
+Maintainer: Jonathan McCrohan <jmccrohan@gmail.com>
+Uploaders: Jose Luis Tallon <jltallon@adv-solutions.net>
+Build-Depends: debhelper (>= 9), dh-autoreconf, texinfo, texlive-latex-base
+Standards-Version: 3.9.5
 Homepage: http://www.hyperrealm.com/libconfig/
 Section: libs
 
@@ -12,7 +12,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured configuration files
+Description: parsing/manipulation of structured configuration files
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -26,7 +26,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured configuration files(C++ binding)
+Description: parsing/manipulation of structured configuration files (C++ binding)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -45,7 +45,7 @@
 Depends: libconfig9 (= ${binary:Version}), pkg-config (>= 0.20), ${misc:Depends}
 Recommends: libconfig-doc
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(development)
+Description: parsing/manipulation of structured config files (development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -80,7 +80,7 @@
 Depends: libconfig++9 (= ${binary:Version}), libconfig-dev,
  pkg-config (>= 0.20), ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(C++ development)
+Description: parsing/manipulation of structured config files (C++ development)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on 
@@ -114,7 +114,7 @@
 Architecture: any
 Depends: libconfig9 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(debug symbols)
+Description: parsing/manipulation of structured config files (debug symbols)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
@@ -129,9 +129,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libconfig++9 (= ${binary:Version}), ${misc:Depends}
+Depends: libconfig9 (= ${binary:Version}), libconfig++9 (= ${binary:Version}), ${misc:Depends}
 Multi-Arch: same
-Description: parsing and manipulation of structured config files(C++ debug symbols)
+Description: parsing/manipulation of structured config files (C++ debug symbols)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
@@ -148,7 +148,7 @@
 Replaces: libconfig-dev (<= 1.4.8)
 Breaks: libconfig-dev (<= 1.4.8)
 Depends: ${misc:Depends}
-Description: parsing and manipulation of structured config files(Documentation)
+Description: parsing/manipulation of structured config files (Documentation)
  This library features a fully reentrant parser and includes bindings for
  both the C and C++ programming languages. It runs on modern POSIX-compliant
  systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
