=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 	dh_strip -p libconfig++9 --dbg-package=libconfig++-dbg
 	
 %:
-	dh $@ --with autotools-dev
+	dh $@ --with autoreconf
