=== contrib/cmake/src/CMakeLists.txt ===
PROJECT(libconfig_test_app)

ADD_EXECUTABLE(libconfig_test_app main.cpp)

target_link_libraries(libconfig_test_app config++)
