=== debian/changelog ===
libconfig (1.5-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
    + Bump shlibs version to cater for new symbols added when building
      with GCC 7.  Closes: #853517
    + Don't compress a 4.1 KB example file.  Closes: #717954
  * debian/watch: rewrite pointing to github.  Closes: #825964
  * debian/control:
    + Drop transitional packages libconfig8-dev and libconfig++8-dev.
      Closes: #878652
    + Drop build-depends on g++, implied by build-essential and the version
      requested is already old enough.
    + Bump Standards-Version to 4.1.1, no changes needed.
    + Mark libconfig-doc as Multi-Arch: foreign.
  * Bump debhelper compat level to 10:
    + Drop --parallel, now default.
    + Drop --with autoreconf, now default (also drop the build-dep).
  * Drop *-dbg packages in favour of automatic debug packages.
  * debian/shlibs: remove, it only contains default stuff.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 10 Nov 2017 21:29:25 +0100

libconfig (1.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS when built with dpkg-buildpackage -A.
    Thanks to Santiago Vila <sanvila@unex.es> (Closes: #806627)
  * Remove Jose Luis Tallon from Uploaders list. (Closes: #838077)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 26 Nov 2016 23:19:25 +0100

libconfig (1.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Aug 2015 17:20:08 +0200

libconfig (1.5-0.1) experimental; urgency=medium

  * Non maintainer upload.
  * New upstream version.
  * Rename libconfig++9v5 to libconfig++9v5, libstdc++6 ABI symbol changes.
    Addresses: #791108.
  * Add Conflicts/Replaces to the old library.
  * Don't ship libconfig9.info in libconfig9, but only in libconfig-dev.
  * Drop versioned dependency on pkg-config. Closes: #734482.
  * Enable parallel builds. Closes: #759581.
  * Only build the libconfig documentation for binary indep builds.
    Closes: #759582.
  * Add build dependency on texlive-fonts-recommended.
  * Bump standards version to 3.9.6.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 29 Jul 2015 12:46:50 +0200
