=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

override_dh_auto_test-indep:

override_dh_auto_build-indep:
	$(MAKE) -C doc pdf

override_dh_makeshlibs:
	# For new symbols when compiled with GCC 7
	dh_makeshlibs -plibconfig++9v5 -V'libconfig++9v5 (>= 1.5-0.4~)'
	dh_makeshlibs --remaining-packages

override_dh_compress:
	# don't compress example1.cpp, which is the only file over 4k (it's 4.1k)
	# done for consistency with the other examples.
	dh_compress -Xexample1.cpp

%:
	dh $@
