=== debian/watch ===
version=4

https://github.com/hyperrealm/libconfig/releases .*/v([\d.]+)@ARCHIVE_EXT@
