=== debian/control ===
Source: libconfig
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mohammed Bilal <rmb@debian.org>
Build-Depends: debhelper-compat (= 13), texinfo
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-base
Standards-Version: 4.7.0
Homepage: https://hyperrealm.github.io/libconfig/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/libconfig.git
Vcs-Browser: https://salsa.debian.org/debian/libconfig

Package: libconfig11
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parsing/manipulation of structured configuration files
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.

Package: libconfig++11
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: parsing/manipulation of structured configuration files (C++ binding)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.
 .
 This is the C++ binding.

Package: libconfig-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libconfig11 (= ${binary:Version}), pkgconf, ${misc:Depends}
Recommends: libconfig-doc
Description: parsing/manipulation of structured config files (development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own programs.

Package: libconfig++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libconfig++11 (= ${binary:Version}),
         libconfig-dev,
         pkgconf,
         ${misc:Depends}
Description: parsing/manipulation of structured config files (C++ development)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files. Its main features are:
  - A fully reentrant parser: Multiple configurations can be parsed in
    concurrent threads at the same time.
  - A simple, structured configuration file format: more readable and compact
    than XML and more flexible than Windows' "INI" file format.
  - A low-footprint implementation
  - Proper documentation.
 .
 This package contains the files needed in order to use libconfig
 in your own C++ programs.

Package: libconfig-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: parsing/manipulation of structured config files (Documentation)
 This library features a fully reentrant parser and includes bindings for
 both the C and C++ programming languages. It runs on modern POSIX-compliant
 systems such as Linux, Solaris, and Mac OS X (Darwin), as well as on
 Microsoft Windows 2000/XP and later (Visual Studio or MinGW).
 .
 This library allows parsing, manipulating and writing structured configuration
 files.
 .
 This package provides documentation for the libconfig library.
