=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_test-indep:

override_dh_auto_build-indep:
	$(MAKE) -C doc pdf

execute_after_dh_auto_install:
	find debian -name '*.la' -delete

override_dh_compress:
	# don't compress example1.cpp, which is the only file over 4k (it's 4.1k)
	# done for consistency with the other examples.
	dh_compress -Xexample1.cpp

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

%:
	dh $@
